**************************************************************
* This do-file constructs heat maps for mobile GMV share by 
* state
**************************************************************

clear
set more off

/*Format FCC subscriber data*/
shp2dta using s_06se12, database(usdb) coordinates(uscoord) genid(id)
insheet using "MobileSubscribersByState_2012FCCReport.csv", names clear
rename state name
save fcc_subscribers_by_state, replace

/*Format shapefile for U.S. states*/
clear
use usdb, clear

drop Id FIPS LON LAT
rename STATE state
rename NAME name
drop if state == ""
save usdb_for_merge, replace

/*Merge eBay data with shapefile*/
clear
insheet using "Mobile GMV Share by State 2012 for Figure 3.txt"


mmerge state using usdb_for_merge, type(1:1) 
keep if _merge == 3 /*"both in master and using data"*/
drop _merge

sort id
drop if id==1 | id==56 | id==40 /*Drop non-contiguous territories*/

gen mobile_gmv_share = mobile_gmv/total_gmv

mmerge name using fcc_subscribers_by_state, type(1:1) /*Remember that subscriber numbers are in thousands*/
keep if _merge==3
drop _merge
/*Replace censored observations with lower bound*/
replace subscribers = "200" if subscribers=="*"
destring subscribers, replace ignore(",")

gen mobile_gmv_per_sub = mobile_gmv/subscribers


format mobile_gmv_per_sub %4.2f
format mobile_gmv_share %4.2f

/*Figure 3*/
spmap mobile_gmv_share using uscoord, id(id) fcolor(Greys2) clnumber(10) legenda(off)
/*Figure A1*/
spmap mobile_gmv_per_sub using uscoord, id(id) fcolor(Greys2) clnumber(10) legenda(off)