/*This do file formats and exports the data underlying Figure 2*/

clear
set more off

/*We start here with a constructed dataset containing one year traling purchase counts and user counts at the quarter-adopter status level*/
insheet using "Future Adopter vs Non-Adopter for Figure 2.txt", clear

/*Reshape data*/
reshape wide curr_purchases num_current_users num_eligible_users lagged_year_purchases, i(session_quarter) j(adopter_status) string
drop if session_quarter < 5 /*Begin analysis at Q12011*/

/*Calculate mean lagged year purchases for those adopting and not adopting next quarter*/
gen nonadopter_mean_purchases = lagged_year_purchasesnon_adopter/num_eligible_usersnonadopter
gen adopter_mean_purchases = lagged_year_purchasesadopter/num_eligible_usersadopter

/*Normalize by Q12011 users' not adopting in Q22011 mean value*/
local normalizing_factor = nonadopter_mean_purchases[1]
gen nonadopter_normalized_purchases = nonadopter_mean_purchases/`normalizing_factor'
gen adopter_normalized_purchases = adopter_mean_purchases/`normalizing_factor'
keep session_quarter nonadopter_normalized_purchases adopter_normalized_purchases

outsheet using "Quarterly Comparison for Figure 2.xls", replace
